isympy(1)

NAME
isympy - interactive shell for SymPy

SYNOPSIS
isympy
[-c | --console]
isympy
[ {-h | --help} | {-v | --version} ]

DESCRIPTION
isympy is a Python shell for SymPy. It is just a normal python shell (ipython shell if you have the ipython package installed) that executes the following commands so that you don't have to:

\FC
>>> from __future__ import division
>>> from sympy import *
>>> x, y, z = symbols("xyz")
>>> k, m, n = symbols("kmn", integer=True)
    \F[]

So starting isympy is equivalent to starting python (or ipython) and executing the above commands by hand. It is intended for easy and quick experimentation with SymPy. For more complicated programs, it is recommended to write a script and import things explicitly (using the "from sympy import sin, log, Symbol, ..." idiom).

OPTIONS

\FC-c \F[]shell, \FC--console=\F[]shell
    Use the specified shell (python or ipython) as console backend instead of the default one (ipython if present or python otherwise). Example: isympy -c python

FILES

\FC${HOME}/.sympy-history\F[]
    Saves the history of commands when using the python shell as backend.

BUGS
The upstreams BTS can be found at ⟨http://code.google.com/p/sympy/issues/list⟩ Please report all bugs that you find in there, this will help improve the overall quality of SymPy.

SEE ALSO
ipython(1), python(1)